{% extends 'base.html.twig' %}

{% block title %}{{page_title}}{% endblock %}

{% block body %}
<div class="col-md-12">
    <div class="content-box-large">
        <div class="panel-heading">
          <div class="panel-title">{{'Income / expense list'|trans}}</div>
          
          <div class="panel-options">
              <a href="{{path('finance_add')}}" data-rel="collapse"><i class="fa fa-plus"></i></a>
          </div>
          <div class="finance-filters" style="display:inline-block;width:100%;">
              <form id="finance-filters-form">
                <div class="col-xs-12 col-md-3">
                    <input type="text" class="form-control filter-item" name="name" value="{{app.request.query.get('name')}}"  placeholder="{{'Filter by name'|trans}}">
                </div>
                
                <div class="col-xs-12 col-md-2">
                    <select class="form-control  filter-item" name="type">
                      <option value="">{{"Filter by type"}}</option>
                      <option value="income" {{app.request.query.get('type') == "income"?'selected':''}}>{{"Income"|trans}}</option>
                      <option value="expense" {{app.request.query.get('type') == "expense"?'selected':''}}>{{"Expense"|trans}}</option>
                     
                    </select>
                </div>
                <div class="col-xs-12 col-md-2">
                    <input type="text" value="{{app.request.query.get("s_date")}}" class="form-control s_date filter-dates" name="s_date"  placeholder="{{'Filter by start date'|trans}}">
                </div>
                <div class="col-xs-12 col-md-2">
                    <input type="text" value="{{app.request.query.get("e_date")}}" class="form-control e_date filter-dates" name="e_date"  placeholder="{{'Filter by end date'|trans}}">
                </div>
                </form>
            </div>
      </div>
        <div class="panel-body">
          <div class="table-responsive">
            <table class="table table-striped">
            <thead>
              <tr>
                <th>{{'Name'|trans}}</th>
                <th>{{'Cost'|trans}}</th>
                <th>{{'Type'|trans}}</th>
                <th>{{'Recurrent'|trans}}</th>
                <th>{{'For date'|trans}}</th>
                <th>{{'Actions'|trans}}</th>
              </tr>
            </thead>
            <tbody>
             {% for finance in finances %} 
              <tr>

                <td>
                  {{finance.name}}
                </td>
                <td>
                    {{finance.cost}}
                 </td>
                 <td>
                    {{finance.type}}
                 </td>
                 <td>
                    {{finance.monthly?'Yes':'No'|trans}}
                 </td>
                 <td>
                   {{not finance.monthly?finance.getCreatedAt()|date("d-m-Y"):""}}
                 </td>
                <td>

                    <a href="{{path('finance_edit',{
                      id:finance.id
                  })}}">
                      <i class="fa fa-edit"></i>
                  </a>
                   
                    <a href="{{path('finance_delete',{
                        id:finance.id
                    })}}">
                        <i class="fa fa-trash-alt"></i>
                    </a>
                </td>
            </tr>
            {% endfor %}
            </tbody>
          </table>
          </div>
          {{knp_pagination_render(finances)}}
        </div>
    </div>
</div>
{% endblock %}

{% block scripts %}
  {{parent()}}
  <script src="{{asset('js/incomeExpense.js')}}"></script>
{% endblock %}

